 #!/bin/sh
#create .jwmrc-drives to reflect drives/partitions present

echo "<JWM>
<Tray layout=\"horizontal\" x=\"-38\" y=\"-78\" height=\"40\" layer=\"0\" border=\"0\">
" > /root/.jwmrc-drives

for PART in $(fdisk -l | grep "/dev/" | grep -v "Disk" | cut -d " " -f 1); do
  TYPE="$(guess_fstype "${PART}" 2>/dev/null)"
  if [ ! "${TYPE}" = "unknown" ]; then
    if [ ! "${TYPE}" = "swap" ]; then
      LABEL="$(echo $PART | sed 's/\/dev\///g')"
      if [ "${TYPE}" = "ext2" ] || [ "${TYPE}" = "ext3" ] || [ "${TYPE}" = "vfat" ] || [ "${TYPE}" = "ntfs" ]; then
        ICON="drive_${TYPE}.png"
      else
        ICON="drive_.png"
      fi
      echo "<TrayButton popup=\"${LABEL} ${TYPE}\" icon=\"${ICON}\">exec:/root/drive_mounter.sh ${LABEL} ${TYPE}</TrayButton>" >> /root/.jwmrc-drives
    fi
  fi
done

echo "<TrayButton popup=\"sr0\" icon=\"optical48.png\">exec:/root/cd_mounter.sh</TrayButton>
<TrayButton popup=\"fd0\" icon=\"floppy48.png\">exec:/root/floppy_mounter.sh</TrayButton>
</Tray>
</JWM>" >> /root/.jwmrc-drives